/*******************************************************************************
  * @file                   led.c
  * @author:                MQjehovah                 mail:MQjehovah@hotmail.com
  * @version                1.0.0
  * @date                   2020.10.23
  * @brief                  
  ******************************************************************************
  * @attention
*******************************************************************************/
/* Includes ------------------------------------------------------------------*/
#include "led.h"
/* Definition ----------------------------------------------------------------*/

/* Functions -----------------------------------------------------------------*/
/*******************************************************************************
  * @brief  LED初始化            
  * @param  None              
  * @retval None              
  * @note   None              
*******************************************************************************/
void LED_Config(void)
{
    GPIO_InitTypeDef GPIO_InitStructure;
    RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);

    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_5 | GPIO_Pin_6;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_Init(GPIOB, &GPIO_InitStructure);
}

/*******************************************************************************
  * @brief  打开LED
  * @param  None              
  * @retval None              
  * @note   None               
*******************************************************************************/
void LED_ON(uint8_t index)
{
    if (index == 0)
    {
        GPIO_WriteBit(GPIOB, GPIO_Pin_5, Bit_SET);
    }

    if (index == 1)
    {
        GPIO_WriteBit(GPIOB, GPIO_Pin_6, Bit_SET);
    }
}

/*******************************************************************************
  * @brief  关闭LED
  * @param  None              
  * @retval None              
  * @note   None               
*******************************************************************************/
void LED_OFF(uint8_t index)
{
    if (index == 0)
    {
        GPIO_WriteBit(GPIOB, GPIO_Pin_5, Bit_RESET);
    }

    if (index == 1)
    {
        GPIO_WriteBit(GPIOB, GPIO_Pin_6, Bit_RESET);
    }
}
/*********************************END OF FILE**********************************/
